#pragma once
//*****************************************************************************************************
//  1. t@C
//		MenuFS07.h
//----------------------------------------------------------------------------------------------------
//  2. @\
//----------------------------------------------------------------------------------------------------
//  3. l
//*****************************************************************************************************

#include "MenuCommon.h"
#include "MenuButton.h"

// CMenuFS07 _CAO

class CMenuFS07 : public CMenuCommon
{
	DECLARE_DYNCREATE(CMenuFS07)

	// ˌpldXe[^X
	enum EPanelStatus {
		STATUS_PANEL_OFF,		// OFF
		STATUS_PANEL_ON,		// ON
	};

	// dXe[^X
	enum EPowerStatus {
		STATUS_POWER_OFF,		// OFF
		STATUS_POWER_ON,		// ON
	};

public:
	CMenuFS07(CWnd* pParent = NULL);   // WRXgN^

// _CAO f[^
	enum { IDD = IDD_MENU_FS07 };

protected:
	void SetStatus(EPanelStatus ePanelStatus, EPowerStatus ePowerStatus);
	void SetMenuButton();

	EPanelStatus m_ePanelStatus;		// ˌpldXe[^X
	EPowerStatus m_ePowerStatus;		// dXe[^X

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButtonAction1();
	afx_msg void OnBnClickedButtonAction2();
	afx_msg void OnBnClickedButtonAction3();

	CMenuButton m_cButtonAction1;
	CMenuButton m_cButtonAction2;
};
